### Method

# Gio FileInfo set_modification_time

deprecated: 2.62

#### Declaration [src]

    void
    g_file_info_set_modification_time (
      GFileInfo* info,
      GTimeVal* mtime
    )

#### Description [src]

Sets the `G_FILE_ATTRIBUTE_TIME_MODIFIED` and `G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC` attributes in the file info to the given time value.

`G_FILE_ATTRIBUTE_TIME_MODIFIED_NSEC` will be cleared.

Deprecated since: 2.62

Use `g_file_info_set_modification_date_time()` instead, as `GTimeVal` is deprecated due to the year 2038 problem.

#### Parameters

`mtime`

  Type: `GTimeVal`

  A `GTimeVal`.

  The data is owned by the caller of the method.